Package oracle.jdbc

## Enum SwitchableBugFix.BugNumber

- java.lang.Object
- - java.lang.Enum<SwitchableBugFix.BugNumber>
  - - oracle.jdbc.SwitchableBugFix.BugNumber

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<SwitchableBugFix.BugNumber>`

Enclosing class:
  SwitchableBugFix

    public static enum SwitchableBugFix.BugNumber
    extends java.lang.Enum<SwitchableBugFix.BugNumber>

Enumeration of bug numbers that can be used in `OracleConnection.CONNECTION_PROPERTY_DISABLED_BUG_FIXES` system property.

### Enum Constant Summary

Enum Constants
`BUG_11891661` `Bug 11891661 - MAKE SETAUTOCOMMIT COMPLIANT TO THE SPEC.`
`BUG_36125634` `Bug 36125634 - JDBC TYPES.TIME NEEDS TO MAP TO A SQL TIMESTAMP INSTEAD OF SQL DATE.`

### Method Summary

All Methods Static Methods Concrete Methods
`static SwitchableBugFix.BugNumber` `fromValue​(java.lang.String value)` Static method to parse a `String` value to `SwitchableBugFix.BugNumber`.
`static SwitchableBugFix.BugNumber` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SwitchableBugFix.BugNumber[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BUG_11891661

    public static final SwitchableBugFix.BugNumber BUG_11891661

`Bug 11891661 - MAKE SETAUTOCOMMIT COMPLIANT TO THE SPEC.`

Related connection property : `OracleConnection.CONNECTION_PROPERTY_AUTO_COMMIT_SPEC_COMPLIANT`.

#### BUG_36125634

    public static final SwitchableBugFix.BugNumber BUG_36125634

`Bug 36125634 - JDBC TYPES.TIME NEEDS TO MAP TO A SQL TIMESTAMP INSTEAD OF SQL DATE.`

### Method Detail

#### values

    public static SwitchableBugFix.BugNumber[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SwitchableBugFix.BugNumber c : SwitchableBugFix.BugNumber.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SwitchableBugFix.BugNumber valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### fromValue

    public static SwitchableBugFix.BugNumber fromValue​(java.lang.String value)
                                                throws java.lang.IllegalArgumentException

Static method to parse a `String` value to `SwitchableBugFix.BugNumber`.

Parameters:
  `value` - `String` the bug number where the `bug_` prefix is optional and case-insensitive
Returns:
  `SwitchableBugFix.BugNumber`
Throws:
  `java.lang.IllegalArgumentException` - if the passed value is not in the `SwitchableBugFix.BugNumber` enum.